<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::create('riwayat_pemeriksaans', function (Blueprint $table) {
        $table->id();
        $table->string('nama');
     $table->string('nik')->after('nama')->nullable();
        $table->integer('umur');
        $table->float('berat');
        $table->float('tinggi');
        $table->enum('hasil_analisis', ['stunting', 'sehat']);
        $table->date('tanggal_pemeriksaan');
        $table->timestamps();
    });
}

public function down()
{
    Schema::dropIfExists('riwayat_pemeriksaans');
}

};
